#
# Conditional build:
%bcond_with	agent		# with ssh agent forwarding patch

%define		protobuf_ver	2.6.1
%include	/usr/lib/rpm/macros.perl
Summary:	Mosh mobile shell
Summary(pl.UTF-8):	Mosh - przenośna powłoka
Name:		mosh
Version:	1.3.2
Release:	2
License:	GPL v3+
Group:		Applications/Networking
Source0:	https://mosh.org/%{name}-%{version}.tar.gz
# Source0-md5:	5122f4d2b973ab7c38dcdac8c35cb61e
Patch0:		https://github.com/keithw/mosh/pull/583.patch
Patch1:		%{name}-Werror.patch
# Patch0-md5:	7eb14665ef06072591e5bcd80780c0e4
URL:		https://mosh.org/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	binutils >= 2.20.51.0.2
BuildRequires:	libstdc++-devel >= 5:4.0
BuildRequires:	libtool
BuildRequires:	libutempter-devel
BuildRequires:	ncurses-devel
BuildRequires:	openssl-devel
BuildRequires:	patchutils
BuildRequires:	perl-base >= 1:5.14
BuildRequires:	pkgconfig
BuildRequires:	protobuf >= %{protobuf_ver}
BuildRequires:	protobuf-devel >= %{protobuf_ver}
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Requires:	protobuf-libs >= %{protobuf_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# PLD stack protector flags are weaker than upstream, filter them out
# https://github.com/keithw/mosh/issues/203
%define		_ssp_cflags	%{nil}

%define		specflags	-Wno-error=non-virtual-dtor

%description
Remote terminal application that allows roaming, supports intermittent
connectivity, and provides intelligent local echo and line editing of
user keystrokes.

Mosh is a replacement for SSH. It's more robust and responsive,
especially over Wi-Fi, cellular, and long-distance links.

%description -l pl.UTF-8
Zdalna aplikacja terminala, pozwalająca na przemieszczanie,
obsługująca przerywaną łączność i zapewniająca inteligentne lokalne
echo oraz edycję linii.

Mosh to zamiennik SSH. Jest potężniejszy i responsywny, w
szczególności po połączeniach Wi-Fi, komórkowych i długodystansowych.

%prep
%setup -q
%if %{with agent}
%patch0 -p1
%endif
%patch1 -p1
%{__sed} -i -e '1s,^#!.*perl,#!%{__perl},' scripts/mosh.pl

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-compile-warnings=error
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS THANKS
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_bindir}/%{name}-client
%attr(755,root,root) %{_bindir}/%{name}-server
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/%{name}-client.1*
%{_mandir}/man1/%{name}-server.1*
%changelog
* Fri Dec 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mosh.git;a=log;h=master

* Fri Dec 15 2017 Jakub Bogusz <qboosh@pld-linux.org> c074418
- added Werror patch (avoids non-deterministic gcc warning); release 2

* Sun Jul 23 2017 Elan Ruusamäe <glen@pld-linux.org> dbc1e53
- up to 1.3.2

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> fab8360
- rebuild with protobuf 3.2
- release 2 (by relup.sh)

* Mon Apr 03 2017 Elan Ruusamäe <glen@delfi.ee> f3ee534
- up to 1.3.0

* Mon Aug 15 2016 Elan Ruusamäe <glen@delfi.ee> ecec6ac
- up to 1.2.6

* Fri Jun 10 2016 Elan Ruusamäe <glen@delfi.ee> 29b73df
- up to 1.2.5.95rc1

* Fri Oct 23 2015 Elan Ruusamäe <glen@delfi.ee> 70b080e
- bump protobuf requirement to solve symbol errors

* Sun Jul 26 2015 Elan Ruusamäe <glen@delfi.ee> ab26713
- fix sourcedir in tarball

* Sun Jul 26 2015 Elan Ruusamäe <glen@delfi.ee> 5d2adaf
- update md5 (upstream changed it?)

* Sat Jul 25 2015 Elan Ruusamäe <glen@delfi.ee> 8c56ea3
- Merge branch 'dev-1.2.5'

* Fri Jul 24 2015 Elan Ruusamäe <glen@delfi.ee> 4654784
- up to 1.2.5

* Mon Jun 29 2015 Elan Ruusamäe <glen@delfi.ee> a1b0306
- up to RC2 (1.2.4.95rc2)

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> 996e4b9
- spec cleanups

* Tue Jun 09 2015 Elan Ruusamäe <glen@delfi.ee> f21832d
- up to 1.2.4.95rc1 release branch

* Sat May 02 2015 Elan Ruusamäe <glen@delfi.ee> 501df8d
- build with ssh-agent forwarding

* Sat May 02 2015 Elan Ruusamäe <glen@delfi.ee> d0fa432
- build with branch diff changes, up to c6cd99b

* Sat May 02 2015 Elan Ruusamäe <glen@delfi.ee> c5194fa
- build with --disable-silent-rules

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> a6dfe83
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 97a805a
- release 2 (by relup.sh)

* Mon Apr 15 2013 Elan Ruusamäe <glen@delfi.ee> 7bc19f9
- up to 1.2.4, disable all ssp flags

